import request from "@/utils/httpRequest";
import { PUBLIC_MODULES_PATH as prefix } from "@/api/AppPath";

export default class LuckyDrawMemberService {
  list (params) {
    return request({
      url: prefix + '/luckyDraw/member/list',
      method: 'get',
      params: params
    })
  }
  save (param) {
    return request({
      url: prefix + '/luckyDraw/member/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/luckyDraw/member/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (ids) {
    return request({
      url: prefix + '/luckyDraw/member/remove',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
